unit Unit13;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus,
  Vcl.StdCtrls, VclTee.TeEngine, Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, VclTee.Series, VclTee.TeePolar, VclTee.TeeLisB, Vcl.Buttons, VclTee.TeeEdiGrad,
  Vcl.Imaging.jpeg, VclTee.TeePoin3, VclTee.TeeTools, VclTee.TeeSurfa, VclTee.TeeComma, Data.DB, Data.Win.ADODB,
  Vcl.ComCtrls, Vcl.ImgList, VclTee.TeeSubChart;

type
  TForm1 = class(TForm)
    ButtonExit: TButton;
    Panel1: TPanel;
    TheChart: TChart;
    Series1: TPolarSeries;
    Series2: TPolarSeries;
    ChartTool1: TSubChartTool;
    TeeCommander1: TTeeCommander;
    procedure FormCreate(Sender: TObject);
    procedure ButtonExitClick(Sender: TObject);
    procedure Series1BeforeDrawValues(Sender: TObject);
    procedure Series2BeforeDrawValues(Sender: TObject);
  private
    { Private declarations }
    SubChart: TSubChartTool;
    procedure OneChart(Chart: TChart);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.OneChart(Chart: TChart);
begin
  with Chart do
    begin
      with Series1 do
        begin
          Clear;
          Brush.Clear;
          CircleBrush.Clear;
          Circled := true;
          with BottomAxis do
            begin
              Title.Text := 'Bottom axis';
            end;
          with LeftAxis do
            begin
              Title.Text := 'Left axis';
            end;
          FillSampleValues(100);
        end;
    end;

    with ChartTool1.Charts[0].Chart do
    begin
      AddSeries(Series2);
      with Series2 do
        begin
          Clear;
          Brush.Clear;
          CircleBrush.Clear;
          Circled := true;
          with BottomAxis do
            begin
              Title.Text := 'Bottom axis';
            end;
          with LeftAxis do
            begin
              Title.Text := 'Left axis';
            end;
          FillSampleValues(100);
        end;
    end;

end;

procedure TForm1.Series1BeforeDrawValues(Sender: TObject);
begin
   TheChart.ChartRect:=Rect( 30, 30, 470, 470);
end;

procedure TForm1.Series2BeforeDrawValues(Sender: TObject);
var posaxis :Integer;
begin
   ChartTool1.Charts[0].Chart.ChartRect:=Rect( 530, 30, 970, 470);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  OneChart(TheChart);
end;

procedure TForm1.ButtonExitClick(Sender: TObject);
begin
  Close;
end;

end.
